// 动态路由
import { GlobalStore } from '@/stores/index'
import router from '@/routers/index'
import { staticRouter } from './staticRouter'
// 加载views下面所有的.vue文件
const modules = import.meta.glob('@/views/**/*.vue')

export const asyncRouter = () => {
  console.log(modules)

  return []
}

/**
 * 初始化动态路由
 */
export const initDynamicRouter = async () => {
  const globalStore = GlobalStore()
  try {
    // 1.获取菜单列表 && 用户信息
    await globalStore.SET_UserInfo()
    await globalStore.SET_Menu_User_List()
    // 2.判断当前用户有没有菜单权限
  } catch (error) {}
}
